/* OpenLayers and GeoExt overrides */

.x-panel-body div.p, .x-panel-body p {
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:12px;
    padding: 5px;
  }


.main-branch {
    font-weight: bold;
  }

.icon {
    vertical-align: middle;
}

#waypoints-tree .x-tree-no-lines .x-tree-elbow-end,#waypoints-tree .x-tree-no-lines .x-tree-elbow {
    background-image: url('http://www.ogliopo.mapslow.eu/static/style/common/icons/cross.png');
  }


#loading {
    height:auto;
    left:45%;
    padding:2px;
    position:absolute;
    top:40%;
    z-index:20001;
    background-image: none;
  }


#loading .loading-indicator {
    color:#555555;
    font-family:tahoma,arial,helvetica;
    font-size:13px;
    font-weight:bold;
    height:auto;
    margin:0;
    padding:10px;
    text-align:center;
    background-image: none;
  }


.olControlScaleLine {
    top:15px;
    font-size:xx-small;
    right:10px;
    left:inherit;
  }

.x-btn-text-icon .x-btn-icon-small-left .x-btn-text,
.x-btn-icon-cust .x-btn-center .x-btn-text {
    background-position:left center;
    background-repeat:no-repeat;
    cursor:pointer;
    height:16px;
    padding:0 0 0 18px;
    white-space:nowrap;
    width:16px;
    overflow: hidden;
    /* MSIE hack */ color: transparent !important;
    text-transform: capitalize;
  }


.x-window-body h1.cluster_title {
    background-image : url('http://www.ogliopo.mapslow.eu/static/js/geoext/ext-3.4.0/resources/images/default/tree/folder.gif');
    background-position : center left;
    background-repeat : no-repeat;
    cursor : pointer;
    font-size: 100%;
    padding-left : 22px;
    text-decoration : underline;
    margin: 0;
  }

h1.cluster_title.open {
    background-image : url('http://www.ogliopo.mapslow.eu/static/js/geoext/ext-3.4.0/resources/images/default/tree/folder-open.gif');
}

.olControlAttribution {
    bottom: 5px;
    font-family: Arial,sans-serif;
    font-size: 11px;
    text-align: right;
}

/* GeoExt balloon */
#resource-win #contentwrapper {
    background-color: white;
}

.x-window-mc {
  background-color: white;
}

#resource-win #contentpadding {
    padding: 1em;
}

#resource-win #contentpadding h1 {
    font-size: 150%;
    margin: 1em 0 1em 0;
}

#resource-win ul.attachments li {
    margin: 0.7em 0;
    list-style-type: none;
}

body#ext-gen3 table.object_details td {
    border: 1px dotted #CCC;
}

.balloon {
    margin: 3px;
    line-height: 15px;
}

.balloon a {
    margin: 5px 5px 5px 0;
}

/* Toolbar linkbutton */

.x-toolbar .linkbutton .x-btn-ml {
    background-position: 0 -24px;
}

.x-toolbar .linkbutton .x-btn-mc {
    background-position: 0 -1096px;
}

.x-toolbar .linkbutton .x-btn-mr{
    background-position: -3px -24px;
}

.x-toolbar .linkbutton .x-btn-bl {
    background-position: 0 -3px;
}

.x-toolbar .linkbutton .x-btn-bc {
    background-position: 0 -15px;
}

.x-toolbar .linkbutton .x-btn-br{
    background-position: -3px -3px;
}

.x-toolbar .linkbutton .x-btn-tl {
    background-position: 0 0;
}

.x-toolbar .linkbutton .x-btn-tc {
    background-position: 0 -6px;
}

.x-toolbar .linkbutton .x-btn-tr{
    background-position: -3px 0;
}

.linkbutton a {
    color: #333333;
}


/* links for main maps balloons, copied from typography.css which
 is not loaded in map views */


.icon_link {
    padding-left: 26px;
    font-size: 13px;
}

.link_kml {
    background: url("http://www.ogliopo.mapslow.eu/static/style/common/icons/kmz.png") no-repeat left center;
}

.link_gpx {
    background: url("http://www.ogliopo.mapslow.eu/static/style/common/icons/gpx.png") no-repeat left center;
}

.link_roadbook {
    background: url("http://www.ogliopo.mapslow.eu/static/style/common/icons/roadbook.png") no-repeat left center;
}


.link_roadbook_pdf {
    background: url("http://www.ogliopo.mapslow.eu/static/style/common/icons/pdf.png") no-repeat left center;
}

.link_vguide_add {
    background: url("http://www.ogliopo.mapslow.eu/static/style/common/icons/cart_add.png") no-repeat left center;

}

.link_vguide_show {
    background: url("http://www.ogliopo.mapslow.eu/static/style/common/icons/cart_go.png") no-repeat left center;

}



.vguide-link {
    background: url("http://www.ogliopo.mapslow.eu/static/style/common/icons/cart.png") no-repeat scroll 0 0 transparent;
    float: right;
    padding-left: 20px;
    line-height: 20px;
}

#accordion .x-btn-text,
#accordion ul.attachments li a{
    font-weight: bold;
}

#accordion ul.attachments .icon {
    float: left;
    margin-right: 5px;
}


/* try to fix chrome GeoExt issue:
 * @see http://gis.stackexchange.com/questions/82613/extjs-4-2-layout-crush-on-latest-chrome-but-not-on-old-one-in-full-screen
 * @see https://github.com/openlayers/openlayers/issues/1181
 */
.ext-chrome svg {
    -webkit-transform: none !important;
}
.ext-chrome  .olLayerGrid  .olTileImage {
    -webkit-backface-visibility: visible !important;
    -webkit-transform: none !important;
}